Subject: bug#12447: 24.1.50; Stuck in garbage collection on OS X

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Sep 2012 18:24:18 +0300

> Date: Wed, 19 Sep 2012 13:54:39 +0400
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
> On 19.09.2012 6:54, Eli Zaretskii wrote:
> >> I'll keep the workaround, though, as it reportedly also fixes the
> >> long-standing OS X freeze bug.
> >
> > What workaround is that?
> 
> The one I posted in #12326: calling timer-activate-when-idle with nil 
> DONT-WAIT argument.

I don't think that's a workaround.  I think that's what js2 should do,
if (AFAIU) it wants the timer handler be invoked once, after Emacs has
been idle for more than 1 sec.

> https://github.com/mooz/js2-mode/commit/b02f4a0d72d0e2087038fe891e2580c4505415ef

Btw, in this line:

  (timer-activate-when-idle timer nil)))

I think you can lose the last argument, since it is optional anyway.